Summary:       X.Org X11 Cursor management library
Name:          libXcursor
Version:       1.2.1
Release:       3%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz
Source1:       index.theme

BuildRequires: make autoconf automake libtool pkgconfig
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel
BuildRequires: libX11-devel >= 1.5.99.902
BuildRequires: libXfixes-devel libXrender-devel >= 0.8.2
Requires:      libX11 >= 1.5.99.902

%description
libXcursor is a simple library designed to help locate and load cursors
for the X Window System. Cursors can be loaded from files or memory and
can exist in several sizes; the library automatically picks the best size. 

%package devel
Summary:       X.Org X11 Cursor management development package
Requires:      %{name} = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for
developing programs which use libXcursor library.

%prep
%autosetup
iconv --from=ISO-8859-2 --to=UTF-8 COPYING > COPYING.new && \
touch -r COPYING COPYING.new && \
mv COPYING.new COPYING

%build
autoreconf -fiv
%configure  --disable-static
%make_build

%install
rm -rf %{buildroot}/
%make_install
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/default/index.theme
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc AUTHORS README.md
%{_libdir}/libXcursor.so.1
%{_libdir}/libXcursor.so.1.0.2
%dir %{_datadir}/icons/default
%{_datadir}/icons/default/index.theme

%files devel
%dir %{_includedir}/X11/Xcursor
%{_includedir}/X11/Xcursor/Xcursor.h
%{_libdir}/libXcursor.so
%{_libdir}/pkgconfig/xcursor.pc
%{_mandir}/man3/Xcursor*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 ZoeDong <zoedong@tencent.com> - 1.2.1-1
- Initial build

